import axios from "axios";

const url = "http://65.20.69.67/api";

export default function apiData(endp, method = "get", body, id = "") {
  let requestUrl = `${url}`;

  if (endp !== "") {
    requestUrl += `/${endp}`;
  }

  if (id !== "") {
    requestUrl += `/${id}`;
  }

  return axios({
    method,
    url: requestUrl,
    data: body,
    headers: { "Content-Type": "application/json" },
  }).catch((error) => {
    return error.response.status;
  });
}
